dnl -*- m4 -*-

AC_REVISION($Revision: 1.3010 $)
AC_PREQ(2.59)

dnl =====================================================================
dnl  Keep track of import version variables
dnl =====================================================================

AC_INIT(ldas-tools,20160901,http://www.ligo.caltech.edu,ldas-tools-al)
configure_flags="$*"
AC_SUBST([configure_flags])

AC_CONFIG_AUX_DIR([config/autotools/aux])
AC_CONFIG_MACRO_DIR([config/autotools/m4])
AC_CONFIG_SRCDIR([Developer.txt])

AM_INIT_AUTOMAKE([1.11 check-news tar-ustar silent-rules])
AX_LDAS_SILENT_RULES([yes])

LT_INIT

dnl =====================================================================
dnl  Quick definition of some things
dnl =====================================================================

AC_DEFUN([AX_LDAS_DEF_VARIABLE],[dnl
$1=$2
AC_SUBST($1)
])

AX_LDAS_DEF_VARIABLE([LDAS_DIRECTORY_MAKE_INCLUDE],
                     ['$(top_srcdir)/config/autotools/make'])

dnl =====================================================================
dnl  Check for key programs
dnl =====================================================================

AX_LDAS_PROG_DOXYGEN

dnl =====================================================================
dnl  Check for packaging
dnl =====================================================================

AX_LDAS_PACKAGING_DEB
AX_LDAS_PACKAGING_MACPORTS
AX_LDAS_PACKAGING_RPM

dnl =====================================================================
dnl  Generate local output
dnl =====================================================================

AC_OUTPUT(
	Makefile
	config/Makefile
	config/autotools/Makefile
	config/autotools/m4/Makefile
	config/autotools/make/Makefile
) dnl AC_OUTPUT

